Package com.sas.lsaf.clinical.tlftemplate

## Class TlfTemplate

- java.lang.Object
- - com.sas.lsaf.core.AbstractIdentifiable
  - - com.sas.lsaf.core.AbstractRevisionable
    - - com.sas.lsaf.clinical.tlftemplate.TlfTemplate

- All Implemented Interfaces:
    `Identifiable`, `Revisionable`, `java.io.Serializable`

      public class TlfTemplate
      extends AbstractRevisionable

  The class that represents a TLF template. A TLF template includes the definitions of Tables, Listings and Figures to be included in a clinical study report.
  Since:
    2.5
  See Also:
    Serialized Form

- - ### Field Summary

    - ### Fields inherited from interface com.sas.lsaf.core.Revisionable

      `REVISION_ATTRIBUTE`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TlfTemplate​(java.lang.String id, java.lang.String name, long revision, java.lang.String description, java.lang.String createdBy, java.util.Date created, java.lang.String lastModifiedBy, java.util.Date lastModified, long tlfRevision)` | It is not intended or recommended that the consumer of this API construct these objects.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.util.Date` | `getCreated()` | Gets the date on which the TLF template was created.
    `java.lang.String` | `getCreatedBy()` | Gets the userId of the user who created the TLF template.
    `java.lang.String` | `getDescription()` | Gets the description of the TLF template.
    `java.util.Date` | `getLastModified()` | Gets the date on which the TLF template was last modified.
    `java.lang.String` | `getLastModifiedBy()` | Gets the userId of the user who last modified the TLF template.
    `java.lang.String` | `getName()` | Gets the name of the TLF template.
    `long` | `getTlfRevision()` | Gets the internal revision number of the TLFs in the TLF template.
    `int` | `hashCode()` |
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class com.sas.lsaf.core.AbstractRevisionable

      `getRevision`

    - ### Methods inherited from class com.sas.lsaf.core.AbstractIdentifiable

      `getId, getTypeId`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TlfTemplate

          public TlfTemplate​(java.lang.String id,
                             java.lang.String name,
                             long revision,
                             java.lang.String description,
                             java.lang.String createdBy,
                             java.util.Date created,
                             java.lang.String lastModifiedBy,
                             java.util.Date lastModified,
                             long tlfRevision)

      It is not intended or recommended that the consumer of this API construct these objects. They should only deal with the TLF templates returned by the API.
      Parameters:
        `id` - The unique identifier of the TLF template.
        `name` - The name of the TLF template.
        `revision` - The internal revision number for the TLF template.
        `description` - The description of the TLF template.
        `createdBy` - The user who created the TLF template.
        `created` - The date on which the TLF template was created.
        `lastModifiedBy` - The user who last modified the TLF template.
        `lastModified` - The date on which the TLF template was last modified.
        `tlfRevision` - The internal revision number for the TLFs within the template.

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name of the TLF template.
      Returns:
        The name.

    - #### getDescription

          public java.lang.String getDescription()

      Gets the description of the TLF template.
      Returns:
        The description.

    - #### getCreatedBy

          public java.lang.String getCreatedBy()

      Gets the userId of the user who created the TLF template.
      Returns:
        The userId.

    - #### getCreated

          public java.util.Date getCreated()

      Gets the date on which the TLF template was created.
      Returns:
        The created date.

    - #### getLastModifiedBy

          public java.lang.String getLastModifiedBy()

      Gets the userId of the user who last modified the TLF template.
      Returns:
        The userId.

    - #### getLastModified

          public java.util.Date getLastModified()

      Gets the date on which the TLF template was last modified.
      Returns:
        The last modified date.

    - #### getTlfRevision

          public long getTlfRevision()

      Gets the internal revision number of the TLFs in the TLF template.
      Returns:
        The internal revision number.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `AbstractRevisionable`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `AbstractRevisionable`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `AbstractRevisionable`